%define real_name DBI
%define perl_version %(rpm -q perl --queryformat '%%{version}' 2>/dev/null)

Summary:	The Perl Database Interface by Tim Bunce
Name:		perl-dbi
Version:	1.48
Release:	3tr
License:	GPL
Group:		Trustix Official
Requires:	perl >= %{perl_version}
BuildRequires:  perl-devel >= %{perl_version}
URL:		http://www.cpan.org
Source:		http://search.cpan.org/CPAN/authors/id/T/TI/TIMB/DBI-1.48.tar.gz
Buildroot:	%{_tmppath}/%{name}-root

%define siteperl /usr/lib/perl5/site_perl/%{perl_version}

%description
The Perl Database Interface (DBI) is a database access Application
Programming Interface (API) for the Perl Language. The Perl DBI API
specification defines a set of functions, variables and conventions that
provide a consistent database interface independent of the actual
database being used.

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep -q
%setup -q -n %{real_name}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix}
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
%{makeinstall}

find $RPM_BUILD_ROOT -name \*.pod -o -name .packlist | xargs rm

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

# These mess up dependency
rm -rf $RPM_BUILD_ROOT/%{siteperl}/i586-linux-thread-multi/Win32
rm -f $RPM_BUILD_ROOT/%{siteperl}/i586-linux-thread-multi/DBI/W32ODBC.pm
rm -f $RPM_BUILD_ROOT/%{siteperl}/i586-linux-thread-multi/DBI/ProfileDumper/Apache.pm

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc Changes README ToDo
/usr/bin/dbiprof
/usr/bin/dbiproxy
%{siteperl}/i586-linux-thread-multi/Bundle
%{siteperl}/i586-linux-thread-multi/DBD
%{siteperl}/i586-linux-thread-multi/DBI.pm
%{siteperl}/i586-linux-thread-multi/DBI
%{siteperl}/i586-linux-thread-multi/auto/DBI
%{_mandir}/man1/*
%{_mandir}/man3/*


%changelog
* Mon Jun 06 2005 Ajith Thampi <ajith at comodo dot com> 1.48-3tr
- Rebuilt on perl-5.8.7	
		
* Thu Mar 17 2005 Hasher Jamaludeen <hasher at comodo dot com> 1.48-1tr
- New Upstream

* Fri Mar 11 2005 Lakshmi Dinamoni <lakshmi at comodo dot com> 1.47-2tr
- Fixed exit errors

* Mon Mar  7 2005 Thushara Gopalakrishnan <thushara at comodo dot com> 1.47-1tr
- New upstream
- Rebuilt on perl-5.8.6

* Tue Nov  9 2004 Erlend Midttun <erlendbm at trustix dot com> 1.45-2tr
- Removed unused /usr/lib/perl5/site_perl/5.8.5/i586-linux/auto/DBD

* Thu Oct 21 2004 Oystein Viggen <oysteivi at trustix dot com> 1.451tr
- New upstream: 1.45

* Tue Jul 29 2003 Goetz Bock <bock at trustix dot org> 1.37-1bg
- new upstream: 1.37
- the fixed perl 5.8.0-11tr allows for the default install macro
- fixed group
- some spec file fixes

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 1.30-1tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 1.30-2em
- Rebuilt against glibc 2.3.2.

* Thu Feb 20 2003 Gotz Bock <bock at trustix dot org> perl-DBI-1.30-1bg
- build for TSL2.0 based on Mandrake package.
